package com.example.beijing_daxing.vm;

import androidx.databinding.BaseObservable;

public class PowerData extends BaseObservable {
    private int powerIn;
    private int powerOut;
    private int powerStockCheck;
    private int powerCheck;
    private int powerScrap;
    private int powerScrapIn;
    private int powerScrapOut;

    public int getPowerIn() {
        return powerIn;
    }

    public void setPowerIn(int powerIn) {
        this.powerIn = powerIn;
        notifyChange();
    }

    public int getPowerOut() {
        return powerOut;
    }

    public void setPowerOut(int powerOut) {
        this.powerOut = powerOut;
        notifyChange();
    }

    public int getPowerStockCheck() {
        return powerStockCheck;
    }

    public void setPowerStockCheck(int powerStockCheck) {
        this.powerStockCheck = powerStockCheck;
        notifyChange();
    }

    public int getPowerCheck() {
        return powerCheck;
    }

    public void setPowerCheck(int powerCheck) {
        this.powerCheck = powerCheck;
        notifyChange();
    }

    public int getPowerScrap() {
        return powerScrap;
    }

    public void setPowerScrap(int powerScrap) {
        this.powerScrap = powerScrap;
        notifyChange();
    }

    public int getPowerScrapIn() {
        return powerScrapIn;
    }

    public void setPowerScrapIn(int powerScrapIn) {
        this.powerScrapIn = powerScrapIn;
        notifyChange();
    }

    public int getPowerScrapOut() {
        return powerScrapOut;
    }

    public void setPowerScrapOut(int powerScrapOut) {
        this.powerScrapOut = powerScrapOut;
        notifyChange();
    }
}
